<?php

require_once 'Atompay.php';

$atompay = new Atompay();
$response = $atompay->atomResponse('a600695b6aff4ca847');

$f_code = $response['f_code'];

$urls = 'https://masspayments.ascensionchurchbangalore.org/api/create-mass-booking';

$response['name'] = $response['udf1'];
$response['email'] = $response['udf2'];
$response['mobile'] = $response['udf3'];
$response['intention'] = $response['udf4'];
$response['others'] = $response['udf6'];
$response['intentionfor'] = $response['udf5'];
$response['mass_id'] = $response['udf13'];
$response['DateTime'] = $response['udf11'];
$response['language'] = $response['udf12'];

$data = http_build_query($response);

$contextOptions = [
  'http' => [
    'header'  => "Content-Type: application/x-www-form-urlencoded\r\n",
    'method'  => 'POST',
    'content' => $data,
    'timeout' => 30,
    'ignore_errors' => true,
  ],
  'ssl' => [
    'verify_peer' => false,
    'verify_peer_name' => false,
  ]
];

$context = stream_context_create($contextOptions);

$result = @file_get_contents($urls, false, $context);

if ($result === FALSE) {
  echo 'Error in processing the request. Please try again later.';
} else {
  echo $result;
}

?>


<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Transaction Status</title>
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
  <style>
    body {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
      margin: 0;
      font-family: Arial, sans-serif;
      background: linear-gradient(135deg, #6a11cb 0%, #2575fc 100%);
    }

    .status-container {
      background: #fff;
      padding: 40px;
      border-radius: 15px;
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
      text-align: center;
      max-width: 600px;
      width: 100%;
      animation: fadeIn 0.8s ease-in-out;
    }

    .status-icon {
      font-size: 80px;
      margin-bottom: 20px;
    }

    .status-icon.success {
      color: #28a745;
    }

    .status-icon.failure {
      color: #dc3545;
    }

    .status-icon.canceled {
      color: #ffc107;
    }

    .status-icon.error {
      color: #6c757d;
    }

    .status-message {
      font-size: 28px;
      font-weight: bold;
      margin-bottom: 10px;
    }

    .status-details {
      font-size: 18px;
      color: #6c757d;
      margin-bottom: 30px;
    }

    .btn-primary {
      padding: 12px 24px;
      font-size: 20px;
      border-radius: 50px;
      background: linear-gradient(135deg, #6a11cb 0%, #2575fc 100%);
      border: none;
    }

    .btn-primary:hover {
      background: linear-gradient(135deg, #2575fc 0%, #6a11cb 100%);
    }

    /* Animation */
    @keyframes fadeIn {
      from {
        opacity: 0;
        transform: translateY(-20px);
      }

      to {
        opacity: 1;
        transform: translateY(0);
      }
    }
  </style>
</head>

<body>
  <div class="status-container">
    <?php if ($f_code == 'Ok') : ?>
      <div class="status-icon success">
        &#x2714; <!-- Checkmark icon -->
      </div>
      <div class="status-message">
        Transaction Completed!
      </div>
      <div class="status-details">
        Your transaction was successfully completed. Thank you for your payment.
      </div>
    <?php elseif ($f_code == 'F') : ?>
      <div class="status-icon failure">
        &#x2716; <!-- Cross icon -->
      </div>
      <div class="status-message">
        Transaction Failed!
      </div>
      <div class="status-details">
        Unfortunately, there was an issue with your payment. Please try again.
      </div>
    <?php elseif ($f_code == 'C') : ?>
      <div class="status-icon canceled">
        &#9888; <!-- Warning icon -->
      </div>
      <div class="status-message">
        Transaction Canceled!
      </div>
      <div class="status-details">
        You have canceled the transaction. If this was a mistake, please try again.
      </div>
    <?php else : ?>
      <div class="status-icon error">
        &#x1f6ab; <!-- Error icon -->
      </div>
      <div class="status-message">
        Something Went Wrong!
      </div>
      <div class="status-details">
        We encountered an unexpected error. Please try again later.
      </div>
    <?php endif; ?>

    <button id="ok-btn" class="btn btn-primary">OK</button>
  </div>

  <script>
    document.getElementById('ok-btn').addEventListener('click', function() {
      window.location.href = 'https://ascensionchurchbangalore.org';
    });
  </script>
</body>

</html>